io.etcd.jetcd.api

## Class MaintenanceGrpc.MaintenanceFutureStub

- java.lang.Object
- - io.grpc.stub.AbstractStub<S>
  - - io.grpc.stub.AbstractFutureStub<MaintenanceGrpc.MaintenanceFutureStub>
    - - io.etcd.jetcd.api.MaintenanceGrpc.MaintenanceFutureStub

Enclosing class:
  MaintenanceGrpc

    public static final class MaintenanceGrpc.MaintenanceFutureStub
    extends io.grpc.stub.AbstractFutureStub<MaintenanceGrpc.MaintenanceFutureStub>

### Nested Class Summary

### Nested classes/interfaces inherited from class io.grpc.stub.AbstractStub

`io.grpc.stub.AbstractStub.StubFactory<T extends io.grpc.stub.AbstractStub<T>>`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.google.common.util.concurrent.ListenableFuture<AlarmResponse>` `alarm(AlarmRequest request)` Alarm activates, deactivates, and queries alarms regarding cluster health.
`protected MaintenanceGrpc.MaintenanceFutureStub` `build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)`
`com.google.common.util.concurrent.ListenableFuture<DefragmentResponse>` `defragment(DefragmentRequest request)` Defragment defragments a member's backend database to recover storage space.
`com.google.common.util.concurrent.ListenableFuture<HashResponse>` `hash(HashRequest request)` Hash returns the hash of the local KV state for consistency checking purpose.
`com.google.common.util.concurrent.ListenableFuture<HashKVResponse>` `hashKV(HashKVRequest request)` HashKV computes the hash of all MVCC keys up to a given revision.
`com.google.common.util.concurrent.ListenableFuture<MoveLeaderResponse>` `moveLeader(MoveLeaderRequest request)` MoveLeader requests current leader node to transfer its leadership to transferee.
`com.google.common.util.concurrent.ListenableFuture<StatusResponse>` `status(StatusRequest request)` Status gets the status of the member.

### Methods inherited from class io.grpc.stub.AbstractFutureStub

`newStub, newStub`

### Methods inherited from class io.grpc.stub.AbstractStub

`getCallOptions, getChannel, withCallCredentials, withChannel, withCompression, withDeadline, withDeadlineAfter, withExecutor, withInterceptors, withMaxInboundMessageSize, withMaxOutboundMessageSize, withOption, withWaitForReady`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### build

    protected MaintenanceGrpc.MaintenanceFutureStub build(io.grpc.Channel channel,
                                                          io.grpc.CallOptions callOptions)

Specified by:
  `build` in class `io.grpc.stub.AbstractStub<MaintenanceGrpc.MaintenanceFutureStub>`

#### alarm

    public com.google.common.util.concurrent.ListenableFuture<AlarmResponse> alarm(AlarmRequest request)

     Alarm activates, deactivates, and queries alarms regarding cluster health.

#### status

    public com.google.common.util.concurrent.ListenableFuture<StatusResponse> status(StatusRequest request)

     Status gets the status of the member.

#### defragment

    public com.google.common.util.concurrent.ListenableFuture<DefragmentResponse> defragment(DefragmentRequest request)

     Defragment defragments a member's backend database to recover storage space.

#### hash

    public com.google.common.util.concurrent.ListenableFuture<HashResponse> hash(HashRequest request)

     Hash returns the hash of the local KV state for consistency checking purpose.
     This is designed for testing; do not use this in production when there
     are ongoing transactions.

#### hashKV

    public com.google.common.util.concurrent.ListenableFuture<HashKVResponse> hashKV(HashKVRequest request)

     HashKV computes the hash of all MVCC keys up to a given revision.

#### moveLeader

    public com.google.common.util.concurrent.ListenableFuture<MoveLeaderResponse> moveLeader(MoveLeaderRequest request)

     MoveLeader requests current leader node to transfer its leadership to transferee.